#ifndef MATRIX_H_
#define MATRIX_H_

#include "Number.h"


class Matrix
{
	
	int n_rows;
	int n_cols;
	
	
	
	
public:
	
	Matrix* leftMultiply(Matrix* op);
	Matrix* rightMultiply(Matrix* op);
	
	void appendRow(Matrix* op);
	
	Number* getElement(int i,int j);
	
	Matrix* getRow(int i);
	Matrix* getColumn(int j);
	
	Matrix();
	virtual ~Matrix();
};

#endif /*MATRIX_H_*/
